Index: XIOS/trunk/src/interface/fortran/ixios.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/ixios.F90	(revision 325)
+++ XIOS/trunk/src/interface/fortran/ixios.F90	(revision 432)
@@ -8,5 +8,6 @@
 
 USE icontext_attr, ONLY : xios(set_context_attr), xios(set_context_attr_hdl), &
-                          xios(get_context_attr), xios(get_context_attr_hdl)
+                          xios(get_context_attr), xios(get_context_attr_hdl), &
+                          xios(is_defined_context_attr), xios(is_defined_context_attr_hdl)
                                                
 USE idata, ONLY : xios(initialize),xios(init_server), xios(finalize), xios(context_initialize),  &
@@ -23,8 +24,10 @@
 
 USE idomain_attr, ONLY :  xios(set_domain_attr), xios(set_domain_attr_hdl),  &
-                          xios(get_domain_attr), xios(get_domain_attr_hdl)
+                          xios(get_domain_attr), xios(get_domain_attr_hdl), &
+                          xios(is_defined_domain_attr), xios(is_defined_domain_attr_hdl)
 
 USE idomaingroup_attr, ONLY : xios(set_domaingroup_attr), xios(set_domaingroup_attr_hdl),  & 
-                              xios(get_domaingroup_attr), xios(get_domaingroup_attr_hdl) 
+                              xios(get_domaingroup_attr), xios(get_domaingroup_attr_hdl), & 
+                              xios(is_defined_domaingroup_attr), xios(is_defined_domaingroup_attr_hdl) 
                     
 USE ifield, ONLY : txios(field), txios(fieldgroup), xios(get_field_handle),  &
@@ -33,8 +36,10 @@
 
 USE ifield_attr, ONLY : xios(set_field_attr),xios(set_field_attr_hdl),    &
-                        xios(get_field_attr),xios(get_field_attr_hdl)
+                        xios(get_field_attr),xios(get_field_attr_hdl), &
+                        xios(is_defined_field_attr),xios(is_defined_field_attr_hdl)
   
 USE ifieldgroup_attr, ONLY : xios(set_fieldgroup_attr), xios(set_fieldgroup_attr_hdl),  &
-                             xios(get_fieldgroup_attr), xios(get_fieldgroup_attr_hdl)
+                             xios(get_fieldgroup_attr), xios(get_fieldgroup_attr_hdl), &
+                             xios(is_defined_fieldgroup_attr), xios(is_defined_fieldgroup_attr_hdl)
 
 USE ifile, ONLY : txios(file), txios(filegroup), xios(get_file_handle),    & 
@@ -42,8 +47,10 @@
 
 USE ifile_attr, ONLY : xios(set_file_attr),xios(set_file_attr_hdl), &
-                       xios(get_file_attr),xios(get_file_attr_hdl)
+                       xios(get_file_attr),xios(get_file_attr_hdl), &
+                       xios(is_defined_file_attr),xios(is_defined_file_attr_hdl)
 
 USE ifilegroup_attr, ONLY : xios(set_filegroup_attr), xios(set_filegroup_attr_hdl), &
-                            xios(get_filegroup_attr), xios(get_filegroup_attr_hdl)
+                            xios(get_filegroup_attr), xios(get_filegroup_attr_hdl), &
+                            xios(is_defined_filegroup_attr), xios(is_defined_filegroup_attr_hdl)
                   
 USE igrid, ONLY : txios(grid), txios(gridgroup), xios(get_grid_handle),     &
@@ -51,8 +58,10 @@
 
 USE igrid_attr, ONLY : xios(set_grid_attr_hdl), xios(set_grid_attr), &
-                       xios(get_grid_attr_hdl), xios(get_grid_attr)
+                       xios(get_grid_attr_hdl), xios(get_grid_attr), &
+                       xios(is_defined_grid_attr_hdl), xios(is_defined_grid_attr)
 
 USE igridgroup_attr, ONLY : xios(set_gridgroup_attr), xios(set_gridgroup_attr_hdl),  &
-                            xios(get_gridgroup_attr), xios(get_gridgroup_attr_hdl)
+                            xios(get_gridgroup_attr), xios(get_gridgroup_attr_hdl), &
+                            xios(is_defined_gridgroup_attr), xios(is_defined_gridgroup_attr_hdl)
 
 USE iaxis, ONLY : txios(axis), txios(axisgroup), xios(get_axis_handle),     &
@@ -60,8 +69,10 @@
 
 USE iaxis_attr, ONLY :  xios(set_axis_attr), xios(set_axis_attr_hdl), &
-                        xios(get_axis_attr), xios(get_axis_attr_hdl)
+                        xios(get_axis_attr), xios(get_axis_attr_hdl), &
+                        xios(is_defined_axis_attr), xios(is_defined_axis_attr_hdl)
 
 USE iaxisgroup_attr, ONLY : xios(set_axisgroup_attr), xios(set_axisgroup_attr_hdl), &
-                            xios(get_axisgroup_attr), xios(get_axisgroup_attr_hdl)
+                            xios(get_axisgroup_attr), xios(get_axisgroup_attr_hdl), &
+                            xios(is_defined_axisgroup_attr), xios(is_defined_axisgroup_attr_hdl)
 
 USE ixml_tree, ONLY : xios(add_axis), xios(add_file), xios(add_grid), xios(add_field), xios(add_domain),          &
@@ -86,4 +97,11 @@
                    xios(get_axisgroup_attr_hdl), xios(get_context_attr_hdl)
 END INTERFACE xios(get_attr)
+
+INTERFACE xios(is_defined_attr)
+  MODULE PROCEDURE xios(is_defined_domaingroup_attr_hdl), xios(is_defined_domain_attr_hdl), xios(is_defined_fieldgroup_attr_hdl), &
+                   xios(is_defined_field_attr_hdl), xios(is_defined_file_attr_hdl), xios(is_defined_filegroup_attr_hdl),          &
+                   xios(is_defined_grid_attr_hdl), xios(is_defined_gridgroup_attr_hdl), xios(is_defined_axis_attr_hdl) ,          &
+                   xios(is_defined_axisgroup_attr_hdl), xios(is_defined_context_attr_hdl)
+END INTERFACE xios(is_defined_attr)
 
 INTERFACE xios(get_handle)
@@ -123,4 +141,9 @@
           xios(get_axisgroup_attr), xios(get_context_attr)
 
+PUBLIC :: xios(is_defined_attr), xios(is_defined_domain_attr), xios(is_defined_domaingroup_attr), xios(is_defined_fieldgroup_attr), &
+          xios(is_defined_field_attr), xios(is_defined_file_attr), xios(is_defined_filegroup_attr),          &
+          xios(is_defined_grid_attr), xios(is_defined_gridgroup_attr), xios(is_defined_axis_attr) ,          &
+          xios(is_defined_axisgroup_attr), xios(is_defined_context_attr)
+
  PUBLIC :: xios(get_handle) 
  PUBLIC :: xios(add_child) 
